<script lang="ts" context="module">
export async function load({session, page}) {
    return {
        props: {
            sess: session.sess,
            id: page.params.id
        }
    }
}
</script>
<script>
import {goto} from "$app/navigation";
import PasswordInput from "../../../components/PasswordInput.svelte";
import Button from "../../../components/Button.svelte";
import * as Api from "../../../api/Api";

export let sess, id;

let pwd, pwdConf;
let passwdHandler = () => {
    if (pwd != pwdConf) {
        // TODO: properly disable button
        return;
    }
    Api.User.passwd(sess, id, pwd).then(() => goto('/users/' + id))
        .catch(() => goto('/error?from=user-passwd'));
}
</script>

<svelte:head>
    <title>Change Password | AZtendance</title>
</svelte:head>

<form on:submit|preventDefault={passwdHandler}>
    <p>User ID: {id}</p>
    <PasswordInput name="pwd" label="Password" bind:value={pwd} />
    <PasswordInput name="pwdConf" label="Confirm Password" bind:value={pwdConf} />
    {#if pwd != pwdConf}
        <p>Passwords must match.</p>
    {/if}
    <Button content="Change Password" theme="primary" onclick={passwdHandler}/>
</form>